Skip to main content
POST
Cancel a real estate render job

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

job_id
string<uuid>
required
project_id
string<uuid>
required

Response

Read one real-estate render job.

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only

Datetime when the record was created.

error_message
string
required
read-only

Error details if job failed.

status
enum<string>
required

Current job status.

  • queued - Queued
  • processing - Processing
  • expired - Expired
  • cancelled - Cancelled
  • completed - Completed
  • failed - Failed
Available options:
queued,
processing,
expired,
cancelled,
completed,
failed
description
string
required
read-only

Human-readable job description.

started_at
string<date-time>
required
read-only

When job processing started.

finished_at
string<date-time> | null
required
read-only

When the job processing successfully finished.

processing_time_seconds
number<double>
required
read-only

Calculate job processing time in seconds. If the job is still processing, calculate time since started. If the job was cancelled, deleted, calculate time until that point. if the job is completed, calculate time until finished.

cost_credits
string<decimal>
required
read-only

Job cost in 🪙 Credits.

Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
project
string<uuid> | null
required
read-only

Project this render job belongs to.

shot
string<uuid> | null
required
read-only

Shot this render job belongs to.

project_real_estate
string<uuid> | null
required
read-only

Real-estate project this render job belongs to.

preset
enum<string> | null
required

Render quality preset. When set, provides default values for output settings.

  • render_preview - Render Preview
  • render_full - Render Full
Available options:
render_preview,
render_full
output_container
string
required
read-only

Output container format (e.g., 'mp4', 'webm', 'mov').

output_video_codec
string
required
read-only

Video codec (e.g., 'h264', 'h265', 'vp9').

output_audio_codec
string
required
read-only

Audio codec (e.g., 'aac', 'mp3', 'opus').

output_crf
integer
required
read-only

Constant Rate Factor for video quality (0=lossless, 51=worst). Lower is better quality.

chroma_subsampling
string
required
read-only

Pixel format (e.g., 'yuv420p', 'yuv444p').

grain
number<double>
required
read-only

Grain amount to add to the enhanced video in range [0, 1]. 0 is default.

composition_width
integer
required
read-only

Output video width in pixels.

composition_height
integer
required
read-only

Output video height in pixels.

composition_fps
integer
required
read-only

Output video framerate (frames per second).

background_music_volume
number<double>
required
read-only

Background music volume level in range [0.0, 1.0]. 0.0 is muted, 1.0 is full volume.